libzypp 17.38.15

Boost libraries.

Boost provides free peer-reviewed portable C++ source libraries. More...

## Typedefs
using | zypp::TriBool = boost::logic::tribool
| 3-state boolean logic (`true`, `false` and `indeterminate`).

## Detailed Description

Boost provides free peer-reviewed portable C++ source libraries.

Several `boost` names were dragged or typedefed into namespace `zypp`.

See also
  http://www.boost.org/

## Typedef Documentation

## ◆ TriBool

using zypp::TriBool = boost::logic::tribool

3-state boolean logic (`true`, `false` and `indeterminate`).

namespace zypp
{
typedef boost::logic::tribool TriBool;
using boost::logic::tribool;
using boost::logic::indeterminate;
}
zypp::TriBool
boost::logic::tribool TriBool
3-state boolean logic (true, false and indeterminate).
Definition String.h:31
zypp
Easy-to use interface to the ZYPP dependency resolver.
Definition CodePitfalls.doc:2

Warning
  Be carefull.esp. when comparing TriBool using `operator==`, as ( indeterminate == indeterminate ) does not evaluate true. It's `indeterminate`.

See also
  http://www.boost.org/doc/html/tribool.html

Definition at line 31 of file String.h.